Index: asp3_wo_tecs/trunk/test/MANIFEST
===================================================================
--- asp3_wo_tecs/trunk/test/MANIFEST	(revision 305)
+++ asp3_wo_tecs/trunk/test/MANIFEST	(revision 306)
@@ -51,4 +51,7 @@
 test_dlynse.cfg
 test_dlynse.h
+test_dtq1.c
+test_dtq1.cfg
+test_dtq1.h
 test_flg1.c
 test_flg1.cfg
@@ -107,2 +110,3 @@
 test_tmevt1.cfg
 test_tmevt1.h
+testexec.rb
Index: asp3_wo_tecs/trunk/test/bit_kernel.c
===================================================================
--- asp3_wo_tecs/trunk/test/bit_kernel.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/bit_kernel.c	(revision 306)
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: bit_kernel.c 554 2016-01-17 13:21:59Z ertl-hiro $
+ *  $Id: bit_kernel.c 739 2016-04-05 15:09:40Z ertl-hiro $
  */
 
@@ -195,7 +195,7 @@
 
 	/*
-	 *  enadspã¨p_schedtskã®æ´åæ§ã®æ¤æ»
-	 */
-	if (enadsp) {
+	 *  dspflgã¨p_schedtskã®æ´åæ§ã®æ¤æ»
+	 */
+	if (dspflg) {
 		if (primap_empty()) {
 			if (p_schedtsk != NULL) {
Index: asp3_wo_tecs/trunk/test/test_cpuexc.cfg
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc.cfg	(revision 306)
@@ -2,9 +2,7 @@
  *		CPUä¾å¤å¦çã®ãã¹ã(1)ã(10)ã®ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
  *
- *  $Id: test_cpuexc.cfg 404 2015-08-02 21:56:21Z ertl-hiro $
+ *  $Id: test_cpuexc.cfg 571 2016-02-01 14:29:07Z ertl-hiro $
  */
-INCLUDE("syssvc/syslog.cfg");
-INCLUDE("syssvc/banner.cfg");
-INCLUDE("syssvc/serial.cfg");
+INCLUDE("tecsgen.cfg");
 
 #include "test_cpuexc.h"
Index: asp3_wo_tecs/trunk/test/test_cpuexc.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc.h 404 2015-08-02 21:56:21Z ertl-hiro $
+ *  $Id: test_cpuexc.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -80,4 +80,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_cpuexc1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc1.c 346 2015-07-18 02:12:08Z ertl-hiro $
+ *  $Id: test_cpuexc1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -117,5 +117,5 @@
  *	2:	state(false, false, true, true, false)
  *		ipm(TIPM_ENAALL)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_PROC) ... ALM1ãå®è¡éå§ããã¾ã§
  *		DO(while(!alm1_flag))
  *	== ALM1 ==
@@ -223,5 +223,5 @@
 	check_ipm(TIPM_ENAALL);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_cpuexc2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc2.c 346 2015-07-18 02:12:08Z ertl-hiro $
+ *  $Id: test_cpuexc2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -111,5 +111,5 @@
  *	2:	state(false, false, true, true, false)
  *		ipm(TIPM_ENAALL)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_PROC) ... ALM1ãå®è¡éå§ããã¾ã§
  *		DO(while(!alm1_flag))
  *	== ALM1 ==
@@ -217,5 +217,5 @@
 	check_ipm(TIPM_ENAALL);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_cpuexc3.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_cpuexc3.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_cpuexc3.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_cpuexc3.c 346 2015-07-18 02:12:08Z ertl-hiro $
+ *  $Id: test_cpuexc3.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -110,5 +110,5 @@
  *	2:	state(false, false, true, true, false)
  *		ipm(TIPM_ENAALL)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_PROC) ... ALM1ãå®è¡éå§ããã¾ã§
  *		DO(while(!alm1_flag))
  *	== ALM1 ==
@@ -211,5 +211,5 @@
 	check_ipm(TIPM_ENAALL);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_dlynse.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_dlynse.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_dlynse.c	(revision 306)
@@ -5,5 +5,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -52,5 +52,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_dlynse.c 482 2016-01-03 13:12:51Z ertl-hiro $
+ *  $Id: test_dlynse.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -75,7 +75,7 @@
 #include "target_kernel_impl.h"
 
-#define	NO_LOOP		ULONG_C(1000000)
+#define	NO_LOOP		1000000UL
 
-SYSTIM	empty_time;
+HRTCNT	empty_time;
 
 static void
@@ -90,4 +90,9 @@
 	etime = fch_hrt();
 	empty_time = etime - stime;
+#ifdef TCYC_HRTCNT
+	if (etime < stime) {
+		empty_time += TCYC_HRTCNT;
+	}
+#endif /* TCYC_HRTCNT */
 	syslog(LOG_NOTICE, "empty loop: %u", empty_time);
 	(void) syslog_fls_log();
@@ -97,5 +102,5 @@
 test_dly_nse(ulong_t dlytim)
 {
-	HRTCNT	stime, etime;
+	HRTCNT	stime, etime, diff;
 	ulong_t	delay_time;
 	volatile ulong_t	i;
@@ -106,5 +111,11 @@
 	}
 	etime = fch_hrt();
-	delay_time = ((etime - stime) - empty_time) / 1000U;
+	diff = etime - stime;
+#ifdef TCYC_HRTCNT
+	if (etime < stime) {
+		diff += TCYC_HRTCNT;
+	}
+#endif /* TCYC_HRTCNT */
+	delay_time = (diff - empty_time) / 1000U;
 	syslog(LOG_NOTICE, "sil_dly_nse(%lu): %lu %s", dlytim, delay_time,
 									delay_time >= dlytim ? "OK" : "NG");
@@ -127,4 +138,8 @@
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 4);
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 5);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 6);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 7);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 8);
+	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 9);
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 10);
 	test_dly_nse(SIL_DLY_TIM1 + SIL_DLY_TIM2 * 20);
Index: asp3_wo_tecs/trunk/test/test_dtq1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_dtq1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_dtq1.c	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_dtq1.c 602 2016-02-07 12:22:32Z ertl-hiro $
+ *  $Id: test_dtq1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -302,5 +302,5 @@
  *	== TASK3ï¼ç¶ãï¼==
  *	19:	assert(data == DATA1)
- *	20:	sta_alm(ALM1, 10000U)
+ *	20:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	21:	rcv_dtq(DTQ2, &data)
  *	== ALM1 ==
@@ -626,5 +626,5 @@
 
 	check_point(20);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_dtq1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_dtq1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_dtq1.h	(revision 306)
@@ -2,5 +2,5 @@
  *		ãã¼ã¿ã­ã¥ã¼æ©è½ã®ãã¹ã(1)ã®ããããã¡ã¤ã«
  *
- *  $Id: test_dtq1.h 602 2016-02-07 12:22:32Z ertl-hiro $
+ *  $Id: test_dtq1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -30,4 +30,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  éåä¿¡ãããã¼ã¿ã®å®ç¾©
Index: asp3_wo_tecs/trunk/test/test_flg1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_flg1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_flg1.c	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_flg1.c 599 2016-02-07 03:33:35Z ertl-hiro $
+ *  $Id: test_flg1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -319,5 +319,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	37:	clr_flg(FLG3, 0)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, 2 * TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	38:	wai_flg(FLG3, 0x01, TWF_ORW, &flgptn)
  *	== TASK3ï¼ç¶ãï¼==
@@ -578,5 +578,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_flg1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_flg1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_flg1.h	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_flg1.h 599 2016-02-07 03:33:35Z ertl-hiro $
+ *  $Id: test_flg1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_hrt1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_hrt1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_hrt1.c	(revision 306)
@@ -52,5 +52,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_hrt1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_hrt1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -82,5 +82,5 @@
 #include "test_hrt1.h"
 
-#define	NO_LOOP		ULONG_C(100000)
+#define	NO_LOOP		100000UL
 
 HRTCNT	recent_hrtcnt;
Index: asp3_wo_tecs/trunk/test/test_mutex.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_mutex1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -147,5 +147,6 @@
  *		assert(rmtx.htskid == TASK2)
  *		assert(rmtx.wtskid == TSK_NONE)
- *		tloc_mtx(MTX1, 10000U) -> E_TMOUT	... (D-1)
+ *		tloc_mtx(MTX1, 3 * TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *									... TASK1ãå®è¡åéããã¾ã§
  *	15:	wup_tsk(TASK2)
  *	== TASK2ï¼ç¶ãï¼==
@@ -246,5 +247,5 @@
 	check_assert(rmtx.wtskid == TSK_NONE);
 
-	ercd = tloc_mtx(MTX1, 10000U);
+	ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex2.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -148,5 +148,6 @@
  *		assert(rmtx.htskid == TASK2)
  *		assert(rmtx.wtskid == TSK_NONE)
- *		tloc_mtx(MTX1, 10000U) -> E_TMOUT	... (D-1)
+ *		tloc_mtx(MTX1, 3 * TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *									... TASK1ãå®è¡åéããã¾ã§
  *	15:	wup_tsk(TASK2)
  *	== TASK2ï¼ç¶ãï¼==
@@ -247,5 +248,5 @@
 	check_assert(rmtx.wtskid == TSK_NONE);
 
-	ercd = tloc_mtx(MTX1, 10000U);
+	ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex3.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex3.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex3.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex3.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex3.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -124,5 +124,5 @@
  *		assert(rmtx.wtskid == TSK_NONE)
  *		act_tsk(TASK2)
- *	4:	tslp_tsk(10000U) -> E_TMOUT
+ *	4:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2ï¼åªå
 åº¦ï¼ä¸­ï¼==
@@ -134,5 +134,5 @@
  *		assert(rmtx.wtskid == TASK2)
  *		act_tsk(TASK3)
- *	7:	tslp_tsk(10000U) -> E_TMOUT
+ *	7:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK3ï¼åªå
 åº¦ï¼é«ï¼==
@@ -165,5 +165,6 @@
  *		assert(rmtx.htskid == TASK2)
  *		assert(rmtx.wtskid == TSK_NONE)
- *		tloc_mtx(MTX1, 10000U) -> E_TMOUT	... (D-1)
+ *		tloc_mtx(MTX1, 3 * TEST_TIME_CP) -> E_TMOUT	... (D-1)
+ *									... TASK1ãå®è¡åéããã¾ã§
  *	17:	wup_tsk(TASK2)
  *	== TASK2ï¼ç¶ãï¼==
@@ -229,5 +230,5 @@
 
 	check_point(4);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -244,5 +245,5 @@
 
 	check_point(7);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -287,5 +288,5 @@
 	check_assert(rmtx.wtskid == TSK_NONE);
 
-	ercd = tloc_mtx(MTX1, 10000U);
+	ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex5.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex5.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex5.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex5.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex5.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -431,5 +431,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	38:	loc_mtx(MTX4)
- *	39:	tslp_tsk(10000U) -> E_TMOUT
+ *	39:	tslp_tsk(3 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	//		ä½ï¼TASK1âTASK2ï¼MTX4ï¼TASK5
  *	== TASK1ï¼ç¶ãï¼==
@@ -1058,5 +1058,5 @@
 
 	check_point(39);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex5.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex5.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex5.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex5.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex5.h 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_mutex7.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex7.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex7.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex7.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex7.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -207,5 +207,5 @@
  *	9:	loc_mtx(MTX1)
  *	//		ä¸­ï¼TASK2ï¼ä½ï¼TASK3ï¼MTX1ï¼TASK2
- *	10:	tslp_tsk(10000U) -> E_TMOUT
+ *	10:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK2-2ãå®è¡åéããã¾ã§
  *	//		ä½ï¼TASK3ï¼MTX1ï¼TASK2
  *	== TASK3-1ï¼åªå
@@ -288,5 +288,5 @@
  *		loc_mtx(MTX2)
  *	//		ä¸­ï¼TASK2ï¼ä½ï¼TASK3âTASK4ï¼MTX1ï¼TASK2ï¼MTX2ï¼TASK2
- *	34:	tslp_tsk(10000U) -> E_TMOUT
+ *	34:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK2-5ãå®è¡åéããã¾ã§
  *	//		ä½ï¼TASK3âTASK4ï¼MTX1ï¼TASK2ï¼MTX2ï¼TASK2
  *	== TASK3-3ï¼åªå
@@ -582,5 +582,5 @@
 
 		check_point(10);
-		ercd = tslp_tsk(10000U);
+		ercd = tslp_tsk(TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
@@ -625,5 +625,5 @@
 
 		check_point(34);
-		ercd = tslp_tsk(10000U);
+		ercd = tslp_tsk(2 * TEST_TIME_CP);
 		check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex7.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex7.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex7.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex7.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex7.h 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_mutex8.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex8.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex8.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2009-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2009-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex8.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_mutex8.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -350,5 +350,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	28:	loc_mtx(MTX2)
- *	29:	tslp_tsk(10000U) -> E_TMOUT
+ *	29:	tslp_tsk(3 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	30:	wup_tsk(TASK4)
@@ -380,5 +380,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	41:	loc_mtx(MTX2)
- *	42:	tslp_tsk(10000U) -> E_TMOUT
+ *	42:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	43:	loc_mtx(MTX2)
@@ -412,5 +412,5 @@
  *	== TASK5ï¼ç¶ãï¼==
  *	55:	loc_mtx(MTX2)
- *	56:	tslp_tsk(10000U) -> E_TMOUT
+ *	56:	tslp_tsk(6 * TEST_TIME_CP) -> E_TMOUT ... TASK5ãå®è¡åéããã¾ã§
  *	//		ä¸­ï¼TASK1ï¼MTX1ï¼TASK1ï¼MTX2ï¼TASK5
  *	== TASK1ï¼ç¶ãï¼==
@@ -784,5 +784,5 @@
 
 	check_point(29);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(3 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -804,5 +804,5 @@
 
 	check_point(42);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -824,5 +824,5 @@
 
 	check_point(56);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(6 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_mutex8.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_mutex8.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_mutex8.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2009-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2009-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_mutex8.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_mutex8.h 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_notify1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_notify1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_notify1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_notify1.c 463 2015-10-18 14:25:55Z ertl-hiro $
+ *  $Id: test_notify1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -119,5 +119,5 @@
  *
  *	== TASK1 ==
- *	1:	sta_alm(ALM1, ALM_RELTIM)
+ *	1:	sta_alm(ALM1, TEST_TIME_PROC) ... ref_almã§åä½ç¢ºèªããã¾ã§
  *		assert(event_variable == false)
  *		ref_alm(ALM1, &ralm)
@@ -126,5 +126,5 @@
  *	2:	ref_alm(ALM1, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	3:	sta_alm(ALM2, ALM_RELTIM)
+ *	3:	sta_alm(ALM2, TEST_TIME_CP) ... TASK2-1ãå®è¡éå§ããã¾ã§
  *		ref_tsk(TASK2, &rtsk)
  *		assert((rtsk.tskstat & TTS_DMT) != 0U)
@@ -137,5 +137,5 @@
  *	6:	wup_tsk(TASK1)
  *	== TASK1ï¼ç¶ãï¼==
- *	7:	sta_alm(ALM3, ALM_RELTIM)
+ *	7:	sta_alm(ALM3, TEST_TIME_CP) ... TASK2-1ãå®è¡åéããã¾ã§
  *		ref_tsk(TASK2, &rtsk)
  *		assert((rtsk.tskstat & TTS_RDY) != 0U)
@@ -149,22 +149,22 @@
  *	11:	wup_tsk(TASK1)
  *	== TASK1ï¼ç¶ãï¼==
- *	12:	dly_tsk(1000U)
+ *	12:	dly_tsk(TEST_TIME_CP) ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-1ï¼ç¶ãï¼==
  *	13:	ext_tsk()
  *	== TASK1ï¼ç¶ãï¼==
- *	14:	sta_alm(ALM3, ALM_RELTIM)
+ *	14:	sta_alm(ALM3, TEST_TIME_PROC) ... ããã«çºçãã¦ãè¯ã
  *		DO(wait_error())								... (B-1)
  *		assert(error_variable == E_OBJ)
- *	15:	sta_alm(ALM4, ALM_RELTIM)
+ *	15:	sta_alm(ALM4, TEST_TIME_PROC) ... ref_almã§åä½ç¢ºèªããã¾ã§
  *		ref_sem(SEM1, &rsem)
  *		assert(rsem.semcnt == 0U)
  *		ref_alm(ALM4, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
- *	16:	dly_tsk(ALM_RELTIM * 2)
+ *	16:	dly_tsk(2 * TEST_TIME_PROC) ... ALM4ãå®è¡ãããã¾ã§
  *	17:	ref_sem(SEM1, &rsem)							... (A-5)
  *		assert(rsem.semcnt == 1U)
  *		ref_alm(ALM4, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	18:	sta_alm(ALM4, ALM_RELTIM)
+ *	18:	sta_alm(ALM4, TEST_TIME_CP) ... TASK2-2ãå®è¡éå§ããã¾ã§
  *	19:	slp_tsk()
  *	== TASK2-2ï¼2åç®ï¼==
@@ -172,5 +172,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	21:	pol_sem(SEM1)
- *	22:	sta_alm(ALM5, ALM_RELTIM)
+ *	22:	sta_alm(ALM5, 2 * TEST_TIME_CP) ... TASK1ãå®è¡éå§ããã¾ã§
  *		ref_flg(FLG1, &rflg)
  *		assert(rflg.flgptn == 0x00U)
@@ -184,15 +184,15 @@
  *		ref_alm(ALM5, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	26:	sta_alm(ALM6, ALM_RELTIM)
+ *	26:	sta_alm(ALM6, TEST_TIME_CP) ... ref_almã§åä½ç¢ºèªããã¾ã§
  *		ref_dtq(DTQ1, &rdtq)
  *		assert(rdtq.sdtqcnt == 0U)
  *		ref_alm(ALM6, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
- *	27:	dly_tsk(ALM_RELTIM * 2)
+ *	27:	dly_tsk(2 * TEST_TIME_CP) ... ALM6ãå®è¡ãããã¾ã§
  *	28:	ref_dtq(DTQ1, &rdtq)							... (A-7)
  *		assert(rdtq.sdtqcnt == 1U)
  *		ref_alm(ALM6, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	29:	sta_alm(ALM6, ALM_RELTIM)
+ *	29:	sta_alm(ALM6, TEST_TIME_CP) ... TASK2-2ãå®è¡éå§ããã¾ã§
  *	30:	slp_tsk()
  *	== TASK2-2ï¼ç¶ãï¼==
@@ -202,5 +202,5 @@
  *		assert(data == 0x01)
  *	33:	act_tsk(TASK2)
- *		sta_alm(ALM7, ALM_RELTIM)
+ *		sta_alm(ALM7, 2 * TEST_TIME_CP) ... TASK1ãå®è¡éå§ããã¾ã§
  *		ref_sem(SEM1, &rsem)
  *		assert(rsem.semcnt == 0U)
@@ -213,5 +213,7 @@
  *	36:	ref_alm(ALM7, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	37:	sta_alm(ALM8, ALM_RELTIM)
+ *	37:	sta_alm(ALM8, TEST_TIME_CP) ... wai_flgã§å¾
+ã¡ã«å
+¥ãã¾ã§
  *		ref_flg(FLG1, &rflg)
  *		assert(rflg.flgptn == 0x01U)
@@ -222,28 +224,30 @@
  *		ref_alm(ALM8, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	40:	sta_alm(ALM9, ALM_RELTIM)
- *	41:	ref_dtq(DTQ1, &rdtq)
+ *	40:	sta_alm(ALM9,  TEST_TIME_CP) ... rcv_dtqã§å¾
+ã¡ã«å
+¥ãã¾ã§
+ *		ref_dtq(DTQ1, &rdtq)
  *		assert(rdtq.sdtqcnt == 0U)
  *		ref_alm(ALM9, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
- *	42:	rcv_dtq(DTQ1, &data)							... (B-7)
- *	43:	assert(data == E_QOVR)
+ *	41:	rcv_dtq(DTQ1, &data)							... (B-7)
+ *	42:	assert(data == E_QOVR)
  *		ref_alm(ALM9, &ralm)
  *		assert((ralm.almstat & TALM_STP) != 0U)
- *	44:	sta_alm(ALM10, ALM_RELTIM)
- *	45:	assert(count_variable == 1)
+ *	43:	sta_alm(ALM10, TEST_TIME_CP) ... ref_almã§åä½ç¢ºèªããã¾ã§
+ *	44:	assert(count_variable == 1)
  *		ref_alm(ALM10, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
  *		DO(wait_count(1))								... (A-2)
- *	46:	ref_alm(ALM10, &ralm)
- *		assert((ralm.almstat & TALM_STP) != 0U)
- *	47:	sta_alm(ALM11, ALM_RELTIM)
- *	48:	assert(count_variable == 2)
+ *	45:	ref_alm(ALM10, &ralm)
+ *		assert((ralm.almstat & TALM_STP) != 0U)
+ *	46:	sta_alm(ALM11, TEST_TIME_CP) ... ref_almã§åä½ç¢ºèªããã¾ã§
+ *	47:	assert(count_variable == 2)
  *		ref_alm(ALM11, &ralm)
  *		assert((ralm.almstat & TALM_STA) != 0U)
  *		DO(wait_count(2))								... (B-2)
- *	49:	ref_alm(ALM9, &ralm)
- *		assert((ralm.almstat & TALM_STP) != 0U)
- *	50:	END
+ *	48:	ref_alm(ALM9, &ralm)
+ *		assert((ralm.almstat & TALM_STP) != 0U)
+ *	49:	END
  */
 
@@ -281,17 +285,17 @@
 task1(intptr_t exinf)
 {
-	T_RTSK	rtsk;
-	T_RDTQ	rdtq;
-	T_RFLG	rflg;
-	intptr_t	data;
-	FLGPTN	flgptn;
 	ER_UINT	ercd;
 	T_RALM	ralm;
+	T_RTSK	rtsk;
 	T_RSEM	rsem;
+	T_RFLG	rflg;
+	FLGPTN	flgptn;
+	T_RDTQ	rdtq;
+	intptr_t	data;
 
 	test_start(__FILE__);
 
 	check_point(1);
-	ercd = sta_alm(ALM1, ALM_RELTIM);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -312,5 +316,5 @@
 
 	check_point(3);
-	ercd = sta_alm(ALM2, ALM_RELTIM);
+	ercd = sta_alm(ALM2, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -330,5 +334,5 @@
 
 	check_point(7);
-	ercd = sta_alm(ALM3, ALM_RELTIM);
+	ercd = sta_alm(ALM3, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -348,9 +352,9 @@
 
 	check_point(12);
-	ercd = dly_tsk(1000U);
+	ercd = dly_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
 	check_point(14);
-	ercd = sta_alm(ALM3, ALM_RELTIM);
+	ercd = sta_alm(ALM3, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -360,5 +364,5 @@
 
 	check_point(15);
-	ercd = sta_alm(ALM4, ALM_RELTIM);
+	ercd = sta_alm(ALM4, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -374,5 +378,5 @@
 
 	check_point(16);
-	ercd = dly_tsk(ALM_RELTIM * 2);
+	ercd = dly_tsk(2 * TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -389,5 +393,5 @@
 
 	check_point(18);
-	ercd = sta_alm(ALM4, ALM_RELTIM);
+	ercd = sta_alm(ALM4, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -401,5 +405,5 @@
 
 	check_point(22);
-	ercd = sta_alm(ALM5, ALM_RELTIM);
+	ercd = sta_alm(ALM5, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -427,5 +431,5 @@
 
 	check_point(26);
-	ercd = sta_alm(ALM6, ALM_RELTIM);
+	ercd = sta_alm(ALM6, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -441,5 +445,5 @@
 
 	check_point(27);
-	ercd = dly_tsk(ALM_RELTIM * 2);
+	ercd = dly_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -456,5 +460,5 @@
 
 	check_point(29);
-	ercd = sta_alm(ALM6, ALM_RELTIM);
+	ercd = sta_alm(ALM6, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -473,5 +477,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = sta_alm(ALM7, ALM_RELTIM);
+	ercd = sta_alm(ALM7, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -497,5 +501,5 @@
 
 	check_point(37);
-	ercd = sta_alm(ALM8, ALM_RELTIM);
+	ercd = sta_alm(ALM8, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -523,25 +527,64 @@
 
 	check_point(40);
-	ercd = sta_alm(ALM9, ALM_RELTIM);
-	check_ercd(ercd, E_OK);
+	ercd = sta_alm(ALM9,  TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = ref_dtq(DTQ1, &rdtq);
+	check_ercd(ercd, E_OK);
+
+	check_assert(rdtq.sdtqcnt == 0U);
+
+	ercd = ref_alm(ALM9, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STA) != 0U);
 
 	check_point(41);
-	ercd = ref_dtq(DTQ1, &rdtq);
-	check_ercd(ercd, E_OK);
-
-	check_assert(rdtq.sdtqcnt == 0U);
+	ercd = rcv_dtq(DTQ1, &data);
+	check_ercd(ercd, E_OK);
+
+	check_point(42);
+	check_assert(data == E_QOVR);
 
 	ercd = ref_alm(ALM9, &ralm);
 	check_ercd(ercd, E_OK);
 
-	check_assert((ralm.almstat & TALM_STA) != 0U);
-
-	check_point(42);
-	ercd = rcv_dtq(DTQ1, &data);
-	check_ercd(ercd, E_OK);
+	check_assert((ralm.almstat & TALM_STP) != 0U);
 
 	check_point(43);
-	check_assert(data == E_QOVR);
-
+	ercd = sta_alm(ALM10, TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	check_point(44);
+	check_assert(count_variable == 1);
+
+	ercd = ref_alm(ALM10, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STA) != 0U);
+
+	wait_count(1);
+
+	check_point(45);
+	ercd = ref_alm(ALM10, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STP) != 0U);
+
+	check_point(46);
+	ercd = sta_alm(ALM11, TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	check_point(47);
+	check_assert(count_variable == 2);
+
+	ercd = ref_alm(ALM11, &ralm);
+	check_ercd(ercd, E_OK);
+
+	check_assert((ralm.almstat & TALM_STA) != 0U);
+
+	wait_count(2);
+
+	check_point(48);
 	ercd = ref_alm(ALM9, &ralm);
 	check_ercd(ercd, E_OK);
@@ -549,45 +592,5 @@
 	check_assert((ralm.almstat & TALM_STP) != 0U);
 
-	check_point(44);
-	ercd = sta_alm(ALM10, ALM_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	check_point(45);
-	check_assert(count_variable == 1);
-
-	ercd = ref_alm(ALM10, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STA) != 0U);
-
-	wait_count(1);
-
-	check_point(46);
-	ercd = ref_alm(ALM10, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STP) != 0U);
-
-	check_point(47);
-	ercd = sta_alm(ALM11, ALM_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	check_point(48);
-	check_assert(count_variable == 2);
-
-	ercd = ref_alm(ALM11, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STA) != 0U);
-
-	wait_count(2);
-
-	check_point(49);
-	ercd = ref_alm(ALM9, &ralm);
-	check_ercd(ercd, E_OK);
-
-	check_assert((ralm.almstat & TALM_STP) != 0U);
-
-	check_finish(50);
+	check_finish(49);
 	check_point(0);
 }
Index: asp3_wo_tecs/trunk/test/test_notify1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_notify1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_notify1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2015-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_notify1.h 463 2015-10-18 14:25:55Z ertl-hiro $
+ *  $Id: test_notify1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,7 +82,12 @@
 #endif /* STACK_SIZE */
 
-#ifndef ALM_RELTIM
-#define ALM_RELTIM		5000U		/* ã¢ã©ã¼ã ãã³ãã©ã«ä»æããç¸å¯¾æé */
-#endif /* ALM_RELTIM */
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
 
 #define E_INVALID		(-1)		/* ã¨ã©ã¼ã³ã¼ãã¨ãã¦ç¡å¹ãªå¤ */
Index: asp3_wo_tecs/trunk/test/test_raster1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster1.c 453 2015-08-15 23:05:31Z ertl-hiro $
+ *  $Id: test_raster1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -158,5 +158,5 @@
  *		call(set_bit_func(bit_kernel))
  *	1:	act_tsk(TASK2)
- *		sta_alm(ALM1, 10000U)
+ *		sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== TASK2-1ï¼1åç®ï¼==
@@ -181,5 +181,5 @@
  *	9:	act_tsk(TASK3)
  *	== TASK3-1ï¼1åç®ï¼==
- *	10:	tloc_mtx(MTX1, 10000U)
+ *	10:	tloc_mtx(MTX1, 3 * TEST_TIME_CP) ... ras_terãããã¾ã§
  *	11:	slp_tsk()
  *	== TASK1ï¼ç¶ãï¼==
@@ -263,5 +263,5 @@
  *		assert(rtsk.raster == false)				... (E-1)
  *		assert(rtsk.dister == false)				... (E-2)(G-4)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-3ï¼3åç®ï¼==
  *	41:	dis_ter()
@@ -364,5 +364,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -563,5 +563,5 @@
 	check_assert(rtsk.dister == false);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -696,5 +696,5 @@
 	case 1:
 		check_point(10);
-		ercd = tloc_mtx(MTX1, 10000U);
+		ercd = tloc_mtx(MTX1, 3 * TEST_TIME_CP);
 		check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_raster1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_raster1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -84,4 +84,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_raster2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster2.c 603 2016-02-07 12:42:10Z ertl-hiro $
+ *  $Id: test_raster2.c 740 2016-04-05 15:44:39Z ertl-hiro $
  */
 
@@ -123,5 +123,5 @@
 ããä¼æ­¢ç¶æ
 ã«ï¼»NGKI1178ï¼½
- *	ASPã«ã¼ãã«ã«é©ç¨ãããªãè¦æ±ï¼
+ *	ASP3ã«ã¼ãã«ã«é©ç¨ãããªãè¦æ±ï¼
  *		ï¼»NGKI3764ï¼½ï¼»NGKI3765ï¼½ï¼»NGKI3497ï¼½
  *
@@ -140,5 +140,5 @@
  *
  *	== TASK1 ==
- *	1:	sta_alm(ALM1, 10000U)
+ *	1:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-1ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-1ï¼1åç®ï¼==
@@ -173,5 +173,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	8:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-1ï¼ç¶ãï¼==
  *	9:	ena_ter()									... (E-1)
@@ -223,5 +223,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	24:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-4ï¼ç¶ãï¼==
  *	25:	ena_ter()									... (F-3)
@@ -230,5 +230,5 @@
  *		DO(while(true))
  *	== TASK1ï¼ç¶ãï¼==
- *	27:	sta_alm(ALM1, 10000U)
+ *	27:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-2ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-2ï¼2åç®ï¼==
@@ -239,10 +239,10 @@
  *	29:	ter_tsk(TASK2)
  *		act_tsk(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-6ï¼6åç®ï¼==
  *	30:	ena_ter()
  *		DO(while(true))
  *	== TASK1ï¼ç¶ãï¼==
- *	31:	sta_alm(ALM1, 10000U)
+ *	31:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-3ãå®è¡éå§ããã¾ã§
  *		slp_tsk()
  *	== ALM1-3ï¼3åç®ï¼==
@@ -259,5 +259,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	35:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-7ï¼ç¶ãï¼==
  *	36:	dis_dsp()
@@ -274,5 +274,5 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	40:	ras_ter(TASK2)
- *		tslp_tsk(10000U) -> E_TMOUT
+ *		tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK2-8ï¼ç¶ãï¼==
  *	41:	chg_ipm(TMAX_INTPRI)
@@ -355,5 +355,5 @@
 
 	check_point(1);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -417,5 +417,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -486,9 +486,9 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(27);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -503,9 +503,9 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(31);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -527,5 +527,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -547,5 +547,5 @@
 	check_ercd(ercd, E_OK);
 
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
Index: asp3_wo_tecs/trunk/test/test_raster2.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_raster2.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_raster2.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_raster2.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_raster2.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_sem1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_sem1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -187,5 +187,5 @@
  *		assert(rsem.wtskid == TSK_NONE)
  *		assert(rsem.semcnt == 0)
- *	7:	sta_alm(ALM1, 10000U)
+ *	7:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	8:	wai_sem(SEM1)						... (G-1)
  *	== ALM1 ==
@@ -242,5 +242,5 @@
  *		assert(rsem.wtskid == TSK_NONE)
  *		assert(rsem.semcnt == 2)
- *	39:	tslp_tsk(10000U) -> E_TMOUT
+ *	39:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	40:	wai_sem(SEM3)						... (G-4)
@@ -262,15 +262,15 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	48:	sig_sem(SEM3)						... (B-4)
- *	49:	tslp_tsk(10000U) -> E_TMOUT
+ *	49:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK4ï¼ç¶ãï¼==
  *	50:	ext_tsk() -> noreturn
  *	== TASK1ï¼ç¶ãï¼==
  *	51:	sig_sem(SEM3)						... (B-4)
- *	52:	tslp_tsk(10000U) -> E_TMOUT
+ *	52:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK5ï¼ç¶ãï¼==
  *	53:	ext_tsk() -> noreturn
  *	== TASK1ï¼ç¶ãï¼==
  *	54:	sig_sem(SEM3)						... (B-4)
- *	55:	tslp_tsk(10000U) -> E_TMOUT
+ *	55:	tslp_tsk(TEST_TIME_CP) -> E_TMOUT ... TASK1ãå®è¡åéããã¾ã§
  *	== TASK3ï¼ç¶ãï¼==
  *	56:	ext_tsk() -> noreturn
@@ -488,5 +488,5 @@
 
 	check_point(39);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -512,5 +512,5 @@
 
 	check_point(49);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -520,5 +520,5 @@
 
 	check_point(52);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -528,5 +528,5 @@
 
 	check_point(55);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -621,5 +621,5 @@
 
 	check_point(7);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_sem1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_sem1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_sem2.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem2.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem2.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem2.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_sem2.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -153,5 +153,5 @@
  *	4:	twai_sem(SEM1, TMO_NBLK) -> E_PAR	... (E-5)
  *		twai_sem(SEM1, TMO_POL) -> E_TMOUT	... (F)
- *	5:	sta_alm(ALM1, 10000U)
+ *	5:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1-1ãå®è¡éå§ããã¾ã§
  *	6:	twai_sem(SEM1, TMO_FEVR)			... (G)
  *	== ALM1-1 ==
@@ -168,5 +168,5 @@
  *	== TASK3ï¼åªå
 åº¦ï¼ä½ï¼==
- *	12:	sta_alm(ALM1, 10000U)
+ *	12:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-2ãå®è¡éå§ããã¾ã§
  *		call(wait_var())
  *	== ALM1-2 ==
@@ -177,5 +177,5 @@
  *	14:	wai_sem(SEM1)
  *	== TASK3ï¼ç¶ãï¼==
- *	15:	sta_alm(ALM1, 10000U)
+ *	15:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-3ãå®è¡éå§ããã¾ã§
  *		dis_dsp()
  *		call(wait_var())
@@ -189,5 +189,5 @@
  *	18:	wai_sem(SEM1)
  *	== TASK3ï¼ç¶ãï¼==
- *	19:	sta_alm(ALM1, 10000U)
+ *	19:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-4ãå®è¡éå§ããã¾ã§
  *		sus_tsk(TASK1)
  *		call(wait_var())
@@ -202,5 +202,5 @@
  *	== TASK2ï¼åªå
 åº¦ï¼é«ï¼==
- *	23:	tslp_tsk(10000U) -> E_TMOUT
+ *	23:	tslp_tsk(2 * TEST_TIME_CP) -> E_TMOUT ... TASK2ãå®è¡åéããã¾ã§
  *	== TASK1ï¼ç¶ãï¼==
  *	24:	wai_sem(SEM1)
@@ -208,5 +208,5 @@
  *	25:	ext_tsk() -> noreturn
  *	== TASK2ï¼ç¶ãï¼==
- *	26:	sta_alm(ALM1, 10000U)
+ *	26:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-5ãå®è¡éå§ããã¾ã§
  *		call(wait_var())
  *	== ALM1-5 ==
@@ -217,12 +217,12 @@
  *	28:	ext_tsk() -> noreturn
  *	== TASK1ï¼ç¶ãï¼==
- *	29:	sta_alm(ALM1, 10000U)
- *	30:	twai_sem(SEM1, 100000U) -> E_RLWAI
+ *	29:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1-6ãå®è¡éå§ããã¾ã§
+ *	30:	twai_sem(SEM1, 2 * TEST_TIME_CP) -> E_RLWAI ... rel_waiãããã¾ã§
  *	== ALM1-6 ==
  *	31:	rel_wai(TASK1)
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	32:	sta_alm(ALM1, 100000U)
- *	33:	twai_sem(SEM1, 10000U) -> E_TMOUT		... (H)
+ *	32:	sta_alm(ALM1, 3 * TEST_TIME_CP) ... stp_almãããã¾ã§
+ *	33:	twai_sem(SEM1, TEST_TIME_CP) -> E_TMOUT		... (H)
  *	34:	stp_alm(ALM1)
  *	35:	END
@@ -399,5 +399,5 @@
 
 	check_point(5);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -431,17 +431,17 @@
 
 	check_point(29);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
 	check_point(30);
-	ercd = twai_sem(SEM1, 100000U);
+	ercd = twai_sem(SEM1, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_RLWAI);
 
 	check_point(32);
-	ercd = sta_alm(ALM1, 100000U);
+	ercd = sta_alm(ALM1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
 	check_point(33);
-	ercd = twai_sem(SEM1, 10000U);
+	ercd = twai_sem(SEM1, TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
@@ -460,9 +460,9 @@
 
 	check_point(23);
-	ercd = tslp_tsk(10000U);
+	ercd = tslp_tsk(2 * TEST_TIME_CP);
 	check_ercd(ercd, E_TMOUT);
 
 	check_point(26);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -481,5 +481,5 @@
 
 	check_point(12);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -487,5 +487,5 @@
 
 	check_point(15);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -500,5 +500,5 @@
 
 	check_point(19);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_sem2.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_sem2.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_sem2.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2008-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2008-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_sem2.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_sem2.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_task1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_task1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_task1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_task1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_task1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -221,5 +221,5 @@
  *	32:	slp_tsk()						... (H-3)
  *	== TASK5ï¼ç¶ãï¼==
- *	33:	sta_alm(ALM1, 10000U)
+ *	33:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1ãå®è¡éå§ããã¾ã§
  *	34:	slp_tsk()						... (H-1)
  *	== ALM1 ==
@@ -245,6 +245,6 @@
 alarm1_handler(intptr_t exinf)
 {
+	ER_UINT	ercd;
 	ID		tskid;
-	ER_UINT	ercd;
 
 	check_point(35);
@@ -383,5 +383,5 @@
 
 	check_point(33);
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_alm(ALM1, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_task1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_task1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_task1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_task1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_task1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,4 +82,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
Index: asp3_wo_tecs/trunk/test/test_tmevt1.c
===================================================================
--- asp3_wo_tecs/trunk/test/test_tmevt1.c	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_tmevt1.c	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_tmevt1.c 310 2015-02-08 13:46:46Z ertl-hiro $
+ *  $Id: test_tmevt1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -81,5 +81,5 @@
  *	== TASK1ï¼åªå
 åº¦ï¼ä¸­ï¼==
- *	1:	sta_alm(ALM1, ALM1_RELTIM)
+ *	1:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-1ãå®è¡éå§ããã¾ã§
  *		DO(prev_lefttim = UINT32_MAX)
  *		DO(wait_alarm1(&alarm1_flag1))
@@ -88,10 +88,10 @@
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	3:	sta_alm(ALM1, ALM1_RELTIM)
+ *	3:	sta_alm(ALM1, TEST_TIME_PROC) ... ALM1-2ãå®è¡éå§ããã¾ã§
  *		DO(prev_lefttim = UINT32_MAX)
  *		DO(wait_alarm1(&alarm1_flag2))
  *	== ALM1-2ï¼2åç®ï¼==
  *	4:	DO(alarm1_flag2 = true)
- *	5:	sta_alm(ALM1, ALM1_RELTIM)
+ *	5:	sta_alm(ALM1, TEST_TIME_CP) ... ALM1-3ãå®è¡éå§ããã¾ã§
  *		DO(prev_lefttim = UINT32_MAX)
  *		DO(skip_check = true)
@@ -103,11 +103,11 @@
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	8:	sta_alm(ALM1, ALM1_RELTIM * 4)
- *		DO(prev_lefttim = UINT32_MAX)
- *		DO(refer_alarm1())
- *  9:	dly_tsk(ALM1_RELTIM)
- *		DO(prev_lefttim -= ALM1_RELTIM)
- *		DO(refer_alarm1())
- *  10:	adj_tim(ALM1_RELTIM)
+ *	8:	sta_alm(ALM1, 3 * TEST_TIME_CP) ... ALM1-4ãå®è¡éå§ããã¾ã§
+ *		DO(prev_lefttim = UINT32_MAX)
+ *		DO(refer_alarm1())
+ *  9:	dly_tsk(TEST_TIME_CP) ... ã©ã®ãããªæéã§ãè¯ã
+ *		DO(prev_lefttim -= TEST_TIME_CP)
+ *		DO(refer_alarm1())
+ *  10:	adj_tim(TEST_TIME_CP)
  *		DO(wait_alarm1(&alarm1_flag4))
  *	== ALM1-4ï¼4åç®ï¼==
@@ -115,12 +115,12 @@
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	12:	sta_alm(ALM1, ALM1_RELTIM * 4)
- *		DO(prev_lefttim = UINT32_MAX)
- *		DO(refer_alarm1())
- *  13:	dly_tsk(ALM1_RELTIM)
- *		DO(prev_lefttim -= ALM1_RELTIM)
- *		DO(refer_alarm1())
- *  14:	adj_tim(-ALM1_RELTIM)
- *		DO(prev_lefttim += ALM1_RELTIM)
+ *	12:	sta_alm(ALM1, 4 * TEST_TIME_CP) ... ALM1-5ãå®è¡éå§ããã¾ã§
+ *		DO(prev_lefttim = UINT32_MAX)
+ *		DO(refer_alarm1())
+ *  13:	dly_tsk(TEST_TIME_CP) ... ã©ã®ãããªæéã§ãè¯ã
+ *		DO(prev_lefttim -= TEST_TIME_CP)
+ *		DO(refer_alarm1())
+ *  14:	adj_tim(-TEST_TIME_CP)
+ *		DO(prev_lefttim += TEST_TIME_CP)
  *	15:	DO(wait_alarm1(&alarm1_flag5))
  *	== ALM1-5ï¼5åç®ï¼==
@@ -128,10 +128,10 @@
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	17:	sta_alm(ALM1, ALM1_RELTIM * 6)
- *		sta_alm(ALM2, ALM1_RELTIM * 4)
- *		DO(prev_lefttim = UINT32_MAX)
- *		DO(refer_alarm1())
- *  18:	dly_tsk(ALM1_RELTIM)
- *		DO(prev_lefttim -= ALM1_RELTIM)
+ *	17:	sta_alm(ALM1, 4 * TEST_TIME_CP) ... ALM1-6ãå®è¡éå§ããã¾ã§
+ *		sta_alm(ALM2, 3 * TEST_TIME_CP) ... stp_almã§åæ­¢ããã¾ã§
+ *		DO(prev_lefttim = UINT32_MAX)
+ *		DO(refer_alarm1())
+ *  18:	dly_tsk(TEST_TIME_CP) ... ã©ã®ãããªæéã§ãè¯ã
+ *		DO(prev_lefttim -= TEST_TIME_CP)
  *		DO(refer_alarm1())
  *	19:	stp_alm(ALM2)
@@ -144,7 +144,7 @@
  *		RETURN
  *	== TASK1ï¼ç¶ãï¼==
- *	22:	sta_alm(ALM1, ALM1_RELTIM * 6)
- *		sta_alm(ALM2, ALM1_RELTIM * 4)
- *		sta_alm(ALM3, ALM1_RELTIM)
+ *	22:	sta_alm(ALM1, 3 * TEST_TIME_CP) ... ALM1-7ãå®è¡éå§ããã¾ã§
+ *		sta_alm(ALM2, 2 * TEST_TIME_CP) ... stp_almã§åæ­¢ããã¾ã§
+ *		sta_alm(ALM3, TEST_TIME_CP) ... ALM3-1ãå®è¡éå§ããã¾ã§
  *		DO(prev_lefttim = UINT32_MAX)
  *	23:	DO(wait_alarm1(&alarm1_flag7))
@@ -261,5 +261,5 @@
 
 		check_point(5);
-		ercd = sta_alm(ALM1, ALM1_RELTIM);
+		ercd = sta_alm(ALM1, TEST_TIME_CP);
 		check_ercd(ercd, E_OK);
 
@@ -350,5 +350,5 @@
 
 	check_point(1);
-	ercd = sta_alm(ALM1, ALM1_RELTIM);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -358,5 +358,5 @@
 
 	check_point(3);
-	ercd = sta_alm(ALM1, ALM1_RELTIM);
+	ercd = sta_alm(ALM1, TEST_TIME_PROC);
 	check_ercd(ercd, E_OK);
 
@@ -369,5 +369,5 @@
 
 	check_point(8);
-	ercd = sta_alm(ALM1, ALM1_RELTIM * 4);
+	ercd = sta_alm(ALM1, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -377,13 +377,13 @@
 
 	check_point(9);
-	ercd = dly_tsk(ALM1_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	prev_lefttim -= ALM1_RELTIM;
+	ercd = dly_tsk(TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	prev_lefttim -= TEST_TIME_CP;
 
 	refer_alarm1();
 
 	check_point(10);
-	ercd = adj_tim(ALM1_RELTIM);
+	ercd = adj_tim(TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -391,5 +391,5 @@
 
 	check_point(12);
-	ercd = sta_alm(ALM1, ALM1_RELTIM * 4);
+	ercd = sta_alm(ALM1, 4 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -399,16 +399,16 @@
 
 	check_point(13);
-	ercd = dly_tsk(ALM1_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	prev_lefttim -= ALM1_RELTIM;
+	ercd = dly_tsk(TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	prev_lefttim -= TEST_TIME_CP;
 
 	refer_alarm1();
 
 	check_point(14);
-	ercd = adj_tim(-ALM1_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	prev_lefttim += ALM1_RELTIM;
+	ercd = adj_tim(-TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	prev_lefttim += TEST_TIME_CP;
 
 	check_point(15);
@@ -416,8 +416,8 @@
 
 	check_point(17);
-	ercd = sta_alm(ALM1, ALM1_RELTIM * 6);
-	check_ercd(ercd, E_OK);
-
-	ercd = sta_alm(ALM2, ALM1_RELTIM * 4);
+	ercd = sta_alm(ALM1, 4 * TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_alm(ALM2, 3 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -427,8 +427,8 @@
 
 	check_point(18);
-	ercd = dly_tsk(ALM1_RELTIM);
-	check_ercd(ercd, E_OK);
-
-	prev_lefttim -= ALM1_RELTIM;
+	ercd = dly_tsk(TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	prev_lefttim -= TEST_TIME_CP;
 
 	refer_alarm1();
@@ -449,11 +449,11 @@
 
 	check_point(22);
-	ercd = sta_alm(ALM1, ALM1_RELTIM * 6);
-	check_ercd(ercd, E_OK);
-
-	ercd = sta_alm(ALM2, ALM1_RELTIM * 4);
-	check_ercd(ercd, E_OK);
-
-	ercd = sta_alm(ALM3, ALM1_RELTIM);
+	ercd = sta_alm(ALM1, 3 * TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_alm(ALM2, 2 * TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_alm(ALM3, TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/test/test_tmevt1.h
===================================================================
--- asp3_wo_tecs/trunk/test/test_tmevt1.h	(revision 305)
+++ asp3_wo_tecs/trunk/test/test_tmevt1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_tmevt1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: test_tmevt1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -82,7 +82,12 @@
 #endif /* STACK_SIZE */
 
-#ifndef ALM1_RELTIM
-#define ALM1_RELTIM		200U		/* ã¢ã©ã¼ã ãã³ãã©1ã«ä»æããç¸å¯¾æé */
-#endif /* ALM1_RELTIM */
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
 
 /*
Index: asp3_wo_tecs/trunk/test/testexec.rb
===================================================================
--- asp3_wo_tecs/trunk/test/testexec.rb	(revision 305)
+++ asp3_wo_tecs/trunk/test/testexec.rb	(revision 306)
@@ -52,5 +52,5 @@
 #  ã®è²¬ä»»ãè² ããªãï¼
 # 
-#  $Id: testexec.rb 600 2016-02-07 11:46:22Z ertl-hiro $
+#  $Id: testexec.rb 675 2016-03-06 01:30:21Z ertl-hiro $
 # 
 
@@ -63,72 +63,72 @@
 TEST_SPEC = {
   # æ©è½ãã¹ããã­ã°ã©ã 
-  "cpuexc1"  => { :SRC=>"test_cpuexc1", :CFG=>"test_cpuexc" },
-  "cpuexc2"  => { :SRC=>"test_cpuexc2", :CFG=>"test_cpuexc" },
-  "cpuexc3"  => { :SRC=>"test_cpuexc3", :CFG=>"test_cpuexc" },
-  "cpuexc4"  => { :SRC=>"test_cpuexc4", :CFG=>"test_cpuexc" },
-  "cpuexc5"  => { :SRC=>"test_cpuexc5", :CFG=>"test_cpuexc" },
-  "cpuexc6"  => { :SRC=>"test_cpuexc6", :CFG=>"test_cpuexc" },
-  "cpuexc7"  => { :SRC=>"test_cpuexc7", :CFG=>"test_cpuexc" },
-  "cpuexc8"  => { :SRC=>"test_cpuexc8", :CFG=>"test_cpuexc" },
-  "cpuexc9"  => { :SRC=>"test_cpuexc9", :CFG=>"test_cpuexc" },
-  "cpuexc10" => { :SRC=>"test_cpuexc10", :CFG=>"test_cpuexc" },
-  "dlynse"   => { :SRC=>"test_dlynse" },
-  "dtq1"     => { :SRC=>"test_dtq1" },
-  "flg1"     => { :SRC=>"test_flg1" },
-  "hrt1"     => { :SRC=>"test_hrt1" },
-  "mutex1"   => { :SRC=>"test_mutex1", :BIT=>"mutex" },
-  "mutex2"   => { :SRC=>"test_mutex2", :BIT=>"mutex" },
-  "mutex3"   => { :SRC=>"test_mutex3", :BIT=>"mutex" },
-  "mutex4"   => { :SRC=>"test_mutex4", :BIT=>"mutex" },
-  "mutex5"   => { :SRC=>"test_mutex5", :BIT=>"mutex" },
-  "mutex6"   => { :SRC=>"test_mutex6", :BIT=>"mutex" },
-  "mutex7"   => { :SRC=>"test_mutex7", :BIT=>"mutex" },
-  "mutex8"   => { :SRC=>"test_mutex8", :BIT=>"mutex" },
-  "notify1"  => { :SRC=>"test_notify1" },
-  "raster1"  => { :SRC=>"test_raster1", :BIT=>"kernel" },
-  "raster2"  => { :SRC=>"test_raster2" },
-  "sem1"     => { :SRC=>"test_sem1" },
-  "sem2"     => { :SRC=>"test_sem2" },
-  "sysman1"  => { :SRC=>"test_sysman1" },
-  "sysstat1" => { :SRC=>"test_sysstat1" },
-  "task1"    => { :SRC=>"test_task1", :BIT=>"kernel" },
-  "tmevt1"   => { :SRC=>"test_hrt1" },
+  "cpuexc1"  => { SRC: "test_cpuexc1", CFG: "test_cpuexc" },
+  "cpuexc2"  => { SRC: "test_cpuexc2", CFG: "test_cpuexc" },
+  "cpuexc3"  => { SRC: "test_cpuexc3", CFG: "test_cpuexc" },
+  "cpuexc4"  => { SRC: "test_cpuexc4", CFG: "test_cpuexc" },
+  "cpuexc5"  => { SRC: "test_cpuexc5", CFG: "test_cpuexc" },
+  "cpuexc6"  => { SRC: "test_cpuexc6", CFG: "test_cpuexc" },
+  "cpuexc7"  => { SRC: "test_cpuexc7", CFG: "test_cpuexc" },
+  "cpuexc8"  => { SRC: "test_cpuexc8", CFG: "test_cpuexc" },
+  "cpuexc9"  => { SRC: "test_cpuexc9", CFG: "test_cpuexc" },
+  "cpuexc10" => { SRC: "test_cpuexc10", CFG: "test_cpuexc" },
+  "dlynse"   => { SRC: "test_dlynse" },
+  "dtq1"     => { SRC: "test_dtq1" },
+  "flg1"     => { SRC: "test_flg1" },
+  "hrt1"     => { SRC: "test_hrt1" },
+  "mutex1"   => { SRC: "test_mutex1", BIT: "mutex" },
+  "mutex2"   => { SRC: "test_mutex2", BIT: "mutex" },
+  "mutex3"   => { SRC: "test_mutex3", BIT: "mutex" },
+  "mutex4"   => { SRC: "test_mutex4", BIT: "mutex" },
+  "mutex5"   => { SRC: "test_mutex5", BIT: "mutex" },
+  "mutex6"   => { SRC: "test_mutex6", BIT: "mutex" },
+  "mutex7"   => { SRC: "test_mutex7", BIT: "mutex" },
+  "mutex8"   => { SRC: "test_mutex8", BIT: "mutex" },
+  "notify1"  => { SRC: "test_notify1" },
+  "raster1"  => { SRC: "test_raster1", BIT: "kernel" },
+  "raster2"  => { SRC: "test_raster2" },
+  "sem1"     => { SRC: "test_sem1" },
+  "sem2"     => { SRC: "test_sem2" },
+  "sysman1"  => { SRC: "test_sysman1" },
+  "sysstat1" => { SRC: "test_sysstat1" },
+  "task1"    => { SRC: "test_task1", BIT: "kernel" },
+  "tmevt1"   => { SRC: "test_tmevt1" },
 
   # ã¡ãã»ã¼ã¸ãããã¡æ©è½æ¡å¼µããã±ã¼ã¸ã®æ©è½ãã¹ããã­ã°ã©ã 
-  "messagebuf1" => { :SRC=>"test_messagebuf1", :BIT=>"kernel" },
-  "messagebuf2" => { :SRC=>"test_messagebuf2", :BIT=>"kernel" },
+  "messagebuf1" => { SRC: "test_messagebuf1", BIT: "kernel" },
+  "messagebuf2" => { SRC: "test_messagebuf2", BIT: "kernel" },
 
   # ãªã¼ãã©ã³ãã³ãã©æ©è½æ¡å¼µããã±ã¼ã¸ã®æ©è½ãã¹ããã­ã°ã©ã 
-  "ovrhdr1"  => { :SRC=>"test_ovrhdr1" },
+  "ovrhdr1"  => { SRC: "test_ovrhdr1" },
 
   # å¶ç´ã¿ã¹ã¯æ¡å¼µããã±ã¼ã¸ã®æ©è½ãã¹ããã­ã°ã©ã 
-  "rstr1"    => { :SRC=>"test_rstr1" },
-  "rstr2"    => { :SRC=>"test_rstr2" },
+  "rstr1"    => { SRC: "test_rstr1" },
+  "rstr2"    => { SRC: "test_rstr2" },
 
   # ãµãåªå
 åº¦æ©è½æ¡å¼µããã±ã¼ã¸ã®æ©è½ãã¹ããã­ã°ã©ã 
-  "subprio1" => { :SRC=>"test_subprio1" },
-  "subprio2" => { :SRC=>"test_subprio2" },
+  "subprio1" => { SRC: "test_subprio1" },
+  "subprio2" => { SRC: "test_subprio2" },
 
   # ã·ã¹ãã æå»ç®¡çæ©è½ãã¹ããã­ã°ã©ã 
-  "systim1" => { :TARGET=>1, :SRC=>"hrt_systim1", :DEFS=>"-DHRT_CONFIG1" },
-  "systim2" => { :TARGET=>1, :SRC=>"hrt_systim2", :DEFS=>"-DHRT_CONFIG1" },
-  "systim3" => { :TARGET=>1, :SRC=>"hrt_systim3", :DEFS=>"-DHRT_CONFIG1" },
-  "systim4" => { :TARGET=>1, :SRC=>"hrt_systim4", :DEFS=>"-DHRT_CONFIG2" },
+  "systim1" => { TARGET: 1, SRC: "hrt_systim1", DEFS: "-DHRT_CONFIG1" },
+  "systim2" => { TARGET: 1, SRC: "hrt_systim2", DEFS: "-DHRT_CONFIG1" },
+  "systim3" => { TARGET: 1, SRC: "hrt_systim3", DEFS: "-DHRT_CONFIG1" },
+  "systim4" => { TARGET: 1, SRC: "hrt_systim4", DEFS: "-DHRT_CONFIG2" },
 
   # ããªããèª¿æ´æ©è½æ¡å¼µããã±ã¼ã¸ã®ã·ã¹ãã æå»ç®¡çæ©è½ãã¹ããã­ã°ã©ã 
-  "drift1"   => { :TARGET=>1, :SRC=>"hrt_drift1", :DEFS=>"-DHRT_CONFIG1" },
-  "drift1-64ops"  => { :TARGET=>1, :SRC=>"hrt_drift1",
-								:DEFS=>"-DHRT_CONFIG1 -DUSE_64BIT_OPS" },
-  "systim1-64ops" => { :TARGET=>1, :SRC=>"hrt_systim1",
-								:DEFS=>"-DHRT_CONFIG1 -DUSE_64BIT_OPS" },
+  "drift1"   => { TARGET: 1, SRC: "hrt_drift1", DEFS: "-DHRT_CONFIG1" },
+  "drift1-64ops"  => { TARGET: 1, SRC: "hrt_drift1",
+								DEFS: "-DHRT_CONFIG1 -DUSE_64BIT_OPS" },
+  "systim1-64ops" => { TARGET: 1, SRC: "hrt_systim1",
+								DEFS: "-DHRT_CONFIG1 -DUSE_64BIT_OPS" },
 
   # æ§è½è©ä¾¡ãã­ã°ã©ã 
-  "perf0" => { :CDL=>"perf_pf" },
-  "perf1" => { :CDL=>"perf_pf" },
-  "perf2" => { :CDL=>"perf_pf" },
-  "perf3" => { :CDL=>"perf_pf" },
-  "perf4" => { :CDL=>"perf_pf" },
-  "perf5" => { :CDL=>"perf_pf" },
+  "perf0" => { CDL: "perf_pf" },
+  "perf1" => { CDL: "perf_pf" },
+  "perf2" => { CDL: "perf_pf" },
+  "perf3" => { CDL: "perf_pf" },
+  "perf4" => { CDL: "perf_pf" },
+  "perf5" => { CDL: "perf_pf" },
 }
 
